package build

import "git.akyoto.dev/cli/q/src/build/token"

type debug struct {
	pos         int
	instruction token.List
}

func (f *Function) debugLine(instructionIndex int) token.List {
	for _, record := range f.debug {
		if record.pos == instructionIndex {
			return record.instruction
		}

		if record.pos > instructionIndex {
			return nil
		}
	}

	return nil
}
